<template>
  <section
    class="mobile-nav d-lg-none"
    :class="{ 'is-active': show }"
    @click.stop="$emit('close')"
  >
    <div class="content bg-white">
      <h3 class="title bg-primary text-white text-uppercase text-center py-2">
        Comprar por categoría
      </h3>

      <nav class="shadow-card">
        <a
          href=""
          class="sidebar-item align-items-center"
          v-for="item in categorias"
          :key="item.id"
          @click.prevent="redirect(item)"
        >
          <img
            :src="item.imagen.url"
            :alt="item.nombre"
            class="ml-2"
          />

          <div
            class="d-flex justify-content-between align-items-center py-3 px-3 ml-2"
          >
            <span class="d-inline-block text-uppercase">{{ item.nombre }}</span>
          </div>
        </a>
      </nav>
    </div>
  </section>
</template>

<script>
import categoriesMixin from '@/mixins/modules/products/categories'

export default {
  mixins: [categoriesMixin],
  props: {
    show: Boolean,
  },
  methods: {
    redirect(item) {
      this.$emit('close')

      this.$router.push({
        name: "productos-categorias-slug",
        params: { slug: item.slug },
      });
    }
  },
};
</script>

<style lang="scss" scoped>
@import "~/assets/scss/variables";
@import "~/assets/scss/mixins";

.mobile-nav {
  width: 100%;
  height: 100vh;
  background-color: rgba($dark, 0.2);
  position: fixed;
  top: $header-mobile-height;
  left: -100%;
  z-index: 100;
  transition: left 0.5s;

  &.is-active {
    left: 0 !important;
  }

  .content {
    width: 80vw;
    height: 100%;
    border-top: 1px solid rgba($dark, 0.3);
  }

  .title {
    font-size: 0.9rem;
  }

  nav {
    height: 90vh;
    padding-bottom: 2rem;
    
    @include nav-scroll;
  }

  .sidebar-item {
    display: grid;
    grid-template-columns: 40px 1fr;

    color: rgba($dark, 0.65);
    font-size: 0.8em;
    font-weight: 400;
    transition: color 0.15s;
    border-bottom: 1px solid rgba($secondary, 0.1);

    img {
      width: 40px;
    }

    &:hover {
      background-color: $light;
      color: $dark;
      text-decoration: none;

      .sidebar-icon {
        color: rgba($dark, 0.7);
      }
    }
  }
}
</style>
